0

oVirt 4.2 comes with librbd1 und librados2 from the Ceph Hammer release which is 0.94.5.

I need to update both libraries to the luminous version which is 12.x. because my ceph server is not able to talk to clients with the old 0.94.5 version.

How to do that ?

0

To answer my own question:

This can be achieved by using the Storage SIG repositories for centos.

You have to add a new repository to your oVirt node. Please be aware, that this may break future ovirt upgrades. You have been warned.

Add a repository in /etc/yum.repos.d called ceph-luminous.repo with this content:

[ovirt-4.2-centos-ceph-luminous]
enabled=1
name = CentOS-7 - ceph luminous
baseurl = http://mirror.centos.org/centos/7/storage/$basearch/ceph-luminous/
gpgcheck = 1
enabled = 1
gpgkey = https://raw.githubusercontent.com/CentOS-Storage-SIG/centos-release-storage-common/master/RPM-GPG-KEY-CentOS-SIG-Storage
includepkgs = librados2 librbd1 lttng-ust

Then issue an yum update. The libraries should upgrade without any dependency problem whatsoever.

Update: Upgrading a node

Upgrading from 4.2.5.1 to 4.6 as well as to 4.7 and 4.8 worked with no problem, but the librbd1 and librados2 where downgraded to the old non-functional version. The repository ceph-luminous.repo was still sitting in /etc/yum.repos.d. To restore the new version of the two libraries:

  • Keep or put the node in maintenance after you upgraded to the new node version.
  • Login in to the node
  • Run yum update and say yes to upgrade the two libraries when prompted.
  • do an ssh reboot via engine

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.